org.apache.tomcat.util.bcel.classfile

## Class AccessFlags

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.AccessFlags

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FieldOrMethod, JavaClass

    public abstract class AccessFlags
    extends Object
    implements Serializable

Super class for all objects that have modifiers like private, final, ... I.e. classes, fields, and methods.

Author:
  M. Dahm
See Also:
  Serialized Form

### Field Summary

Fields
`protected int` `access_flags`

### Constructor Summary

Constructors
Constructor and Description
`AccessFlags()`

### Method Summary

Methods
`int` `getAccessFlags()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### access_flags

    protected int access_flags

### Constructor Detail

#### AccessFlags

    public AccessFlags()

### Method Detail

#### getAccessFlags

    public final int getAccessFlags()

Returns:
  Access flags of the object aka. "modifiers".